Intrusion Prevention

Mozilla.Multiple.Products.WAV.File.Processing.Buffer.Overflow

Description

This indicates an attack attempt to exploit a Buffer Overflow vulnerability in Multiple Mozilla Products.
The vulnerability is due to an error when the vulnerable software processes a WAV file with a malformed format chunk. An attacker can exploit this by tricking an unsuspecting user into visiting a malicious webpage and execute arbitrary script code within the context of the application.

Affected Products

Mozilla Foundation Firefox Prior to 16.0
Mozilla Foundation Firefox Prior to ESR 10.0.8
Mozilla Foundation SeaMonkey Prior to 2.13
Mozilla Foundation Thunderbird Prior to 16.0
Mozilla Foundation Thunderbird Prior to ESR 10.0.8

Impact

System Compromise: Remote attackers can execute arbitrary script code within the context of the target user's browser.

Recommended Actions

Upgrade to the latest version available from the website.
http://www.mozilla.org/en-US/products/

CVE References

CVE-2012-4186